#ifndef PORTABLE_MATH_H_INCLUDED_p
#define PORTABLE_MATH_H_INCLUDED_p
 
///@file portable_math.h
///
///  A slight modification to math.h to make it include functions available both on linux and windows and all other
///  systems.  


#include <math.h>  
#include <float.h>
 
#ifdef _MSC_VER
 
inline double log2( double n )  
  /// Calculates log2 of number.  
{  
    
    return log( n ) / log( 2.0 );  
}

#define isnan(x) _isnan(x)
#define isinf(x) (!_finite(x))

#endif
 
#endif
